margin.note.float.type
Prev | Property Sets | Next

## Name

margin.note.float.type — Select type of float for margin note customizations

## Synopsis

    <xsl:param name="margin.note.float.type" select="'none'"></xsl:param>

## Description

Selects the type of float for margin notes. DocBook does not define a margin note element, so this feature must be implemented as a customization of the stylesheet. See `margin.note.properties` for an example.

- If `margin.note.float.type` is “`none`”, then no float is used.

- If `margin.note.float.type` is “`before`”, then the float appears at the top of the page. On some processors, that may be the next page rather than the current page.

- If `margin.note.float.type` is “`left`” or “`start`”, then a left side float is used.

- If `margin.note.float.type` is “`right`” or “`end`”, then a right side float is used.

- If your XSL-FO processor supports floats positioned on the “`inside`” or “`outside`” of double-sided pages, then you have those two options for side floats as well.

Prev | Up | Next
margin.note.title.properties | Home | margin.note.width